OGRE_NATIVE_GLSL_VERSION_DIRECTIVE
#include <OgreUnifiedShader.h>

OGRE_UNIFORMS(
	uniform mat4 worldViewProj;
	uniform float tiling;
)

OUT(vec4 vClipSpace, TEXCOORD0)
OUT(vec2 vUV, TEXCOORD1)

MAIN_PARAMETERS
IN(vec4 vertex, POSITION)
IN(vec2 uv0, TEXCOORD0)
MAIN_DECLARATION
{
	vec4 worldPos = mul(worldViewProj, vec4(vertex.xyz, 1.0));
	gl_Position = worldPos;
	vClipSpace = worldPos;
	vUV = uv0 * tiling;
}
